> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate report for brokerage firm

> Generates a report for the specified brokerage firm using the parameters provided in the body.



## OpenAPI

````yaml /openapi.json post /brokerage-firms/{brokerageFirmId}/reports
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/reports:
    post:
      tags:
        - brokerage-firms
      summary: Generate report for brokerage firm
      description: >-
        Generates a report for the specified brokerage firm using the parameters
        provided in the body.
      operationId: BrokerageFirmController_generateReport
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: the brokerageFirm id
          schema:
            type: string
      requestBody:
        required: true
        description: Report generation parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateReportInputBody'
      responses:
        '200':
          description: Report generation started or completed successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateReportForBrokerageFirmOutput'
components:
  schemas:
    GenerateReportInputBody:
      type: object
      properties:
        type:
          type: string
          description: The type of report
        params:
          description: Report specific parameters
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        uploadToConnectors:
          type: boolean
          description: uploadToConnectors
        productIds:
          description: The productIds
          type: array
          items:
            type: string
      required:
        - type
        - params
    GenerateReportForBrokerageFirmOutput:
      type: object
      properties: {}
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value

````